pekarna/src/pekarna/back/PrisadaBean.java
package pekarna.back;

import java.io.Serializable;
import java.util.List;

import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;


import pekarna.data.Prisada;
import pekarna.service.PrisadaManager;


@ManagedBean
@SessionScoped
public class PrisadaBean implements Serializable {

	private static final long serialVersionUID = 1L;
	@EJB
	private PrisadaManager prisadaMgr;
	private Prisada prisada;
	public PrisadaBean() {
		prisada = new Prisada();
	}

	public Prisada getPrisada() {
		return prisada;
	}

	public void setPrisada(Prisada prisada) {
		this.prisada = prisada;
	}

	public List<Prisada> getPrisady() {
		return prisadaMgr.findAll();
	}
	
	public String actionNew()
	{
		prisada = new Prisada();
		return "new";
	}
    
	public String actionInsertNew() {
		prisadaMgr.save(prisada);
		return "insert";
	}
	
	public String actionEdit(Prisada prisada)
	{
	   	setPrisada(prisada);
	   	return "edit";
	}
	 
	public String actionUpdate()
	{
	    prisadaMgr.save(prisada);
	    return "update";
	}
}

pekarna/src/pekarna/back/ProduktBean.java
package pekarna.back;

import java.io.Serializable;
import java.util.List;

import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.SessionScoped;

import pekarna.data.Prisada;
import pekarna.data.Produkt;
import pekarna.data.VyrobenZ;
import pekarna.service.ProduktManager;
import pekarna.service.VyrobenZManager;

@ManagedBean
@SessionScoped
public class ProduktBean implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@EJB
	private ProduktManager produktMgr;
	
	@EJB
	private VyrobenZManager vyrobenMgr;
	private Produkt produkt;
	private Prisada prisada;
	private VyrobenZ vyroben; 
	
	@ManagedProperty(value="#{prisadaBean}")
	private PrisadaBean prisBean;
	
	public PrisadaBean getPrisBean() {
		return prisBean;
	}

	public void setPrisBean(PrisadaBean prisBean) {
		this.prisBean = prisBean;
	}

	public VyrobenZ getVyroben() {
		return vyroben;
	}

	public void setVyroben(VyrobenZ vyroben) {
		this.vyroben = vyroben;
	}

	public ProduktBean() {
		produkt = new Produkt();
		prisada = new Prisada();
		vyroben = new VyrobenZ();
	}
	
		
	public Produkt getProdukt() {
		return produkt;
	}
	
	public void setProdukt(Produkt produkt) {
		this.produkt = produkt;
	}
	
	public List<Produkt> getProdukty() {
		return produktMgr.findAll();
		
	}
	
	public String actionEdit(Produkt produkt)
    {
    	setProdukt(produkt);
    	return "edit";
    }
	
	
	public String actionNew()
	{
		produkt = new Produkt();
		return "new";
	}
	
	public String actionInsertNew() {
		produktMgr.save(produkt);
		return "insert";
	}
	
	public String actionPrisadaNew()
    {
		vyroben = new VyrobenZ();
        prisada = new Prisada();
        return "newprisada";
    }
	
	public String actionPrisadaAdd() {
		vyroben.setProdukt(produkt);
		vyroben.setPrisada(prisada);
		produkt.getPrisady().add(vyroben);
		prisada.getProdkuty().add(vyroben);
		//prisBean.setPrisada(prisada);
		//prisBean.actionUpdate();
		return "add";
	}
	
	public String actionPrisadaDel(VyrobenZ vyr)
    {
        produkt.getPrisady().remove(vyr);
        vyr.getPrisada().getProdkuty().remove(vyr);
        prisBean.setPrisada(vyr.getPrisada());
        prisBean.actionUpdate();
        return "delete";
    }
	
	public Prisada getPrisada() {
		return prisada;
	}

	public void setPrisada(Prisada prisada) {
		this.prisada = prisada;
	}

	public String actionUpdate()
    {
        produktMgr.save(produkt);
        return "update";
    }
	

	public VyrobenZManager getVyrobenMgr() {
		return vyrobenMgr;
	}

	public void setVyrobenMgr(VyrobenZManager vyrobenMgr) {
		this.vyrobenMgr = vyrobenMgr;
	}

	
}

pekarna/src/pekarna/back/ZakaznikBean.java
package pekarna.back;

import java.io.Serializable;
import java.util.List;

import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.SessionScoped;

import com.sun.xml.rpc.processor.modeler.j2ee.xml.emptyType;

import pekarna.data.Adresa;
import pekarna.data.Objednavka;
import pekarna.data.Zakaznik;
import pekarna.service.ZakaznikManager;

@ManagedBean
@SessionScoped
public class ZakaznikBean implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@EJB
	private ZakaznikManager zakaznikMgr;
	private Zakaznik zakaznik;
	private Adresa adresa;
	
	@ManagedProperty(value="#{oblastBean}")
	private OblastBean oblastBn;
	
	public ZakaznikBean() {
		zakaznik = new Zakaznik();
		adresa = new Adresa();
	}

	
	public Zakaznik getZakaznik() {
		return zakaznik;
	}
	public void setZakaznik(Zakaznik zakaznik) {
		this.zakaznik = zakaznik;
	}
	public List<Zakaznik> getZakaznici() {
		return zakaznikMgr.findAll();
	}
	public Adresa getAdresa() {
		return adresa;
	}
	public void setAdresa(Adresa adresa) {
		this.adresa = adresa;
	}
	
	//====================================================
    
	public OblastBean getOblastBn() {
		return oblastBn;
	}


	public void setOblastBn(OblastBean oblastBn) {
		this.oblastBn = oblastBn;
	}
	
	public List<Objednavka> getObjednavky(){
		return zakaznikMgr.findObjednavky(zakaznik);
	}

	public String actionShowObj(Zakaznik zakaznik) {
		setZakaznik(zakaznik);
		return "showobj";
	}

	public String actionNew()
	{
		zakaznik = new Zakaznik();
		return "new";
	}
	public String actionInsertNew() {
		zakaznikMgr.save(zakaznik);
		return "insert";
	}
	public String actionUpdate()
    {
        zakaznikMgr.save(zakaznik);
        return "update";
    }
    
    public String actionEdit(Zakaznik zakaznik)
    {
    	setZakaznik(zakaznik);
    	return "edit";
    }
    
    public String actionDelete(Zakaznik zakaznik)
    {
    	zakaznikMgr.remove(zakaznik);
    	return "delete";
    }
    
    public String actionAdresaNew()
    {
        adresa = new Adresa();
        return "newadresa";
    }
    public String actionAdresaDel(Adresa adresa)
    {
        zakaznik.getAdresy().remove(adresa);
        oblastBn.setOblast(adresa.getOblast());
        oblastBn.getOblast().getAdresy().remove(adresa);
        oblastBn.actionUpdate();
        return "delete";
    }
    
    public String actionAdresaAdd()
    {
    	oblastBn.setOblast(adresa.getOblast());
        oblastBn.getOblast().getAdresy().add(adresa);
        oblastBn.actionUpdate();
        List <Adresa> list = (List<Adresa>) oblastBn.getOblast().getAdresy(); 
        Adresa adr = list.get(list.size() - 1);
        this.setAdresa(adr);
        
        adresa.setAdresat(zakaznik);
        zakaznik.getAdresy().add(adresa);
        
        return "add";
    }
    
    
}

pekarna/src/pekarna/back/ZamestnanecBean.java
package pekarna.back;

import java.io.Serializable;
import java.util.List;

import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.SessionScoped;


import pekarna.data.Objednavka;
import pekarna.data.Oblast;
import pekarna.data.Zamestnanec;
import pekarna.service.ZamestnanecManager;

@ManagedBean(eager=true)
@SessionScoped
public class ZamestnanecBean implements Serializable {

	private static final long serialVersionUID = 1L;
	@EJB
	private ZamestnanecManager zamestnanecMgr;
	private Zamestnanec zamestnanec;
	private Oblast oblast;
	
	@ManagedProperty(value="#{oblastBean}")
	OblastBean oblastBn;
	
	public Boolean isRidic() {
		if (zamestnanec.getTypZemstnance() == null) {
			return false;
		}
		if (zamestnanec.getTypZemstnance().compareTo("driver") == 0) {
			return true;
		}
		return false;
	}
	
	public List<Objednavka> getObjednavkyZam() {
		if (isRidic()) {
			return (List<Objednavka>) zamestnanec.getDodaneObjednavky();
		}
		return (List<Objednavka>) zamestnanec.getSestaveneObjednavky();
	}
	
	public Zamestnanec getZamestnanec() {
		return zamestnanec;
	}

	public void setZamestnanec(Zamestnanec zamestnanec) {
		this.zamestnanec = zamestnanec;
	}

	public ZamestnanecManager getZamestnanecMgr() {
		return zamestnanecMgr;
	}

	public void setZamestnanecMgr(ZamestnanecManager zamestnanecMgr) {
		this.zamestnanecMgr = zamestnanecMgr;
	}

	public Oblast getOblast() {
		return oblast;
	}

	public void setOblast(Oblast oblast) {
		this.oblast = oblast;
	}

	public OblastBean getOblastBn() {
		return oblastBn;
	}

	public void setOblastBn(OblastBean oblastBn) {
		this.oblastBn = oblastBn;
	}

	public ZamestnanecBean() {
		zamestnanec = new Zamestnanec();
		oblast = new Oblast();
	}

	public List<Zamestnanec> getZamestnanci() {
		return zamestnanecMgr.findAll();
	}
	
	public List<Zamestnanec> getRidici() {
		return zamestnanecMgr.findDrivers();
	}
	
	public List<Zamestnanec> getProdavaci() {
		return zamestnanecMgr.findSellers();
	}
	
	public String checkZamestnanec(String login, String pass){
		List<Zamestnanec> list = this.getZamestnanci();
		Zamestnanec actual;
		for (int i = 0; i < list.size(); i++) {
			actual = list.get(i);
			if(login.equals(actual.getLogin()) && pass.equals(actual.getHeslo())){
				return actual.getTypZemstnance();
			}
		}
		return "";
	}
	//====================================================
    
	public String actionNew()
	{
		zamestnanec = new Zamestnanec();
		oblast = new Oblast();
		return "new";
	}
	
	public String actionEdit(Zamestnanec zamestnanec)
    {
    	setZamestnanec(zamestnanec);
    	return "edit";
    }
	
	public String actionUpdate()
    {
        zamestnanecMgr.save(zamestnanec);
        return "update";
    }
	
	public String actionInsertNew() {
		zamestnanecMgr.save(zamestnanec);
		return "insert";
	}
	    
    public String actionOblastAdd() {
    	if (isRidic()) {
			oblast.getDodavatele().add(zamestnanec);
			zamestnanec.getDodavaciOblasti().add(oblast);
		}
		return "addOblast";
	}
    
    public String actionOblastDel(Oblast obl) {
    	obl.getDodavatele().remove(zamestnanec);
    	zamestnanec.getDodavaciOblasti().remove(obl);
    	oblastBn.setOblast(obl);
    	oblastBn.actionUpdate();
		return "delOblast";
	}
    
    public String actionObjednavky(Zamestnanec zamestnanec) {
    	this.zamestnanec = zamestnanec;	
		return "objednavky";
	}
}

pekarna/WebContent/addPrisada.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
		
		<ui:define name="content">
		<h:form>
			<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h2>Přidat přísadu</h2>
			<h3><h:outputText value="#{produktBean.produkt.nazevProduktu}"></h:outputText></h3>
					
			<h:panelGrid columns="2" styleClass="form">
			
				<h:outputLabel rendered="true" value="Přísada" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{produktBean.prisada}" converter="omnifaces.SelectItemsConverter">
				    <f:selectItems value="#{prisadaBean.prisady}" var="prisada" itemValue="#{prisada}" itemLabel="#{prisada.nazevPrisady}" />
				</h:selectOneMenu>
			
				<h:outputLabel rendered="true" value="Množství"></h:outputLabel>
				<h:inputText value="#{produktBean.vyroben.mnozstvi}" required="true"
					requiredMessage="Množství je povinné"
					validatorMessage="Množství nesmí být záporné">
					<f:validateDoubleRange minimum="0.0" />
					<f:convertNumber maxFractionDigits="2" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Jednotka"></h:outputLabel>
				<h:selectOneMenu value="#{produktBean.vyroben.jednotka}">
   					<f:selectItem itemValue="ks" itemLabel="kusy" />
   					<f:selectItem itemValue="g" itemLabel="gramy" />
   					<f:selectItem itemValue="kg" itemLabel="kilogramy" />
   					<f:selectItem itemValue="l" itemLabel="litry" />
   					<f:selectItem itemValue="dcl" itemLabel="decilitry" />
   					<f:selectItem itemValue="špetka" itemLabel="špetka" />
   					
				</h:selectOneMenu>
				
				<h:outputLabel rendered="true" value=""></h:outputLabel>
				<h:commandButton action="#{produktBean.actionPrisadaAdd}" styleClass="formbutton" value="Přidat">
				</h:commandButton>
			</h:panelGrid>
		</h:form>
	</ui:define>
</ui:composition>
</html>

pekarna/WebContent/denied.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
	<h2>Access denied</h2>
		Access denied. 
		<div class="blok">
			<a href="javascript:history.back()" class="button">Go Back</a>
			<a href="login.xhtml" class="button">Go to Login site</a>.
		</div>
		
	</ui:define>
</ui:composition>

</html>

pekarna/WebContent/doc.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
		<div id="doc"/>
	    	<!-- Zkontrolujte prosím nastavení kódování v hlavičce dokumentu 
			     podle použitého editoru -->
			
			<!-- Nahraďte prosím názvem tématu -->
			<h1>Pekárna</h1>
			
			<!-- Jména autorů a jejich činnost -->
			<dl>
				<dt>Autoři</dt>
				<dd>Hladík Zdeněk 
				    <a href="mailto:xautor01@stud.fit.vutbr.cz">xhladi17@stud.fit.vutbr.cz</a> -
				    funkčnost systému
				</dd>
				<dd>Suchý Ondřej
				    <a href="mailto:xautor02@stud.fit.vutbr.cz">xsuchy04@stud.fit.vutbr.cz</a> - 
				    návrh datového modelu
				</dd>
				<dd>Sobotka Lukáš
				    <a href="mailto:xautor02@stud.fit.vutbr.cz">xsobot21@stud.fit.vutbr.cz</a> - 
					design, login
				</dd>
			</dl>
			
			<!-- uživatelské účty -->
			<h2>Uživatelé systému pro testování</h2>
			<p>Uveďte prosím existující zástupce <strong>všech rolí uživatelů</strong>.</p>
			<table class="table">
				<tr><th>Login</th><th>Heslo</th><th>Role</th></tr>
				<tr><td>admin00</td><td>admin</td><td>Administrátor</td></tr>
				<tr><td>chleb00</td><td>chleb</td><td>Prodavač</td></tr>
				<tr><td>tenna00</td><td>tenna</td><td>Řidič</td></tr>
			</table>
			
			<!-- vyžadované knihovny i s verzemi, pouze pro Java EE -->
			<h2>Vyžadované knihovny</h2>
			<ul>
				<li>OmniFaces, verze 2.3</li>
			</ul>
			
			<h2>Poznámky</h2>
			
			<p>Pro správné ukládání českých znaků je potřeba přidat do atributů URL v Connection Pool 
			GlassFish serveru za cestu k MySQL serveru řetězec "?characterEncoding=UTF-8".</p>
			
			<p>Pokud se uživatel pokusí o smazání adresy, u které jsou již v systému uloženy objednávky,
			   tak dojde k vyjímce z  důvodu omezení cizích klíčů v databázi.</p>
	</ui:define>
</ui:composition>

</html>

pekarna/WebContent/editProdukt.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
	    <h2>Editace produktu</h2>
		<h:form>
			<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h:panelGrid columns="2" styleClass="form">
				<h:outputLabel rendered="true" value="ID"></h:outputLabel>
				<h:outputText value="#{produktBean.produkt.idProdukt}">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Název"></h:outputLabel>
				<h:inputText value="#{produktBean.produkt.nazevProduktu}" required="true"
					requiredMessage="Název je povinný"
					validatorMessage="Název je příliš krátký">
					<f:validateLength minimum="2" maximum="80" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Cena"></h:outputLabel>
				<h:inputText value="#{produktBean.produkt.cena}" required="true"
					requiredMessage="Cena je povinná"
					validatorMessage="Cena nesmí být záporná">
					<f:validateDoubleRange minimum="0.0" />
					<f:convertNumber maxFractionDigits="2" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Počet kusů skladem"></h:outputLabel>
				<h:inputText value="#{produktBean.produkt.skladem}" required="true"
					requiredMessage="Počet kusů je povinný"
					validatorMessage="Počet kusů nesmí být záporný">
					<f:validateLongRange minimum="1" />
					<f:convertNumber maxFractionDigits="0" />
				</h:inputText>
				<h:outputLabel rendered="true" value=""></h:outputLabel>
			</h:panelGrid>
			
			<h3>Přísady</h3>
			<h:dataTable value="#{produktBean.produkt.prisady}"
			             var="vyrobenZ" styleClass="table"
						columnClasses="text-left,text-right,text-left,text-center">
				<h:column>
					<f:facet name="header">
						Název
					</f:facet>
					<h:outputText value="#{vyrobenZ.prisada.nazevPrisady}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Množství
					</f:facet>
					<h:outputText value="#{vyrobenZ.mnozstvi} #{vyrobenZ.jednotka}"></h:outputText>
				</h:column>
				
				<h:column>
					<h:commandLink action="#{produktBean.actionPrisadaDel(vyrobenZ)}">
						<i class="fa fa-times fa-15x" aria-hidden="true" title="Smazat přísadu"></i>
					</h:commandLink>
				</h:column>
			</h:dataTable>
			
			

			<h:commandLink action="#{produktBean.actionPrisadaNew}" styleClass="button append">Přidat přísadu</h:commandLink>
			
			<div class="blok">
				<h:commandButton action="#{produktBean.actionUpdate}" styleClass="button" value="Uložit"></h:commandButton>
				<h:commandButton action="cancel" styleClass="button" value="Zrušit"></h:commandButton>
			</div>
			
		</h:form>
	</ui:define>
</ui:composition>
</html>

pekarna/WebContent/listProdukt.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
	    
		<h2>Produkty</h2>
		
		<h:form>
			<!-- funguje to iterativne, var rika, jak oznacime jednu aktualni polozku v ramci cyklu -->
			<!-- foreach person in personBean.people -->
			<h:dataTable value="#{produktBean.produkty}" var="produkt" styleClass="table"  columnClasses="text-center,text-left,text-right,text-right,text-center">
				<h:column>
					<f:facet name="header">
						ID
					</f:facet>
					<h:outputText value="#{produkt.idProdukt}"></h:outputText>
				</h:column>
				<h:column>	
					<f:facet name="header">
						Název
					</f:facet>
					<h:outputText value="#{produkt.nazevProduktu}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Cena
					</f:facet>
					<h:outputText value="#{produkt.cena} Kč"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Skladem
					</f:facet>
					<h:outputText value="#{produkt.skladem} ks"></h:outputText>
				</h:column>
				<h:column  rendered="#{authenticationBean.canView('admin')}">
					<h:commandLink action="#{produktBean.actionEdit(produkt)}">
						<i class="fa fa-pencil fa-15x" aria-hidden="true" title="Upravit"></i>
					</h:commandLink>
				</h:column>
			</h:dataTable>
			<h:commandLink action="#{produktBean.actionNew}" styleClass="button"  rendered="#{authenticationBean.canView('admin')}">
				<h:outputText value="Nový produkt"></h:outputText>
			</h:commandLink>
		</h:form>
	</ui:define>
</ui:composition>
</html>

pekarna/WebContent/newObjednavka.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
		<h2>Nová objednávka</h2>
		<h:form id="Form">
			<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h3>
				<h:outputText
					value="#{objednavkaBean.zakaznik.jmeno} #{objednavkaBean.zakaznik.prijmeni}"></h:outputText>
			</h3>

			<h:panelGrid columns="2" styleClass="form">
				<h:outputLabel rendered="true" value="Datum objednávky"></h:outputLabel>
				<h:inputText value="#{objednavkaBean.objednavka.datumObjednani}"
					required="true" id="calendar1"
					validatorMessage="Datum objednávky musí být ve formátu dd-mm-yyyy"
					requiredMessage="Datum objednávky je povinné">
					<f:validateLength minimum="10" />
					<f:convertDateTime pattern="dd-MM-yyyy" />
				</h:inputText>

				<h:outputLabel rendered="true" value="Platba" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.zpusobPlatby}">
					<f:selectItem itemValue="na ucet" itemLabel="Převod na účet" />
					<f:selectItem itemValue="hotovost" itemLabel="Hotově" />
				</h:selectOneMenu>


				<h:outputLabel rendered="true" value="Způsob dodání" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.zpusobDodani}">
					<f:selectItem itemValue="vlastni" itemLabel="Vlastní" />
					<f:selectItem itemValue="dodavka" itemLabel="Dodavka" />
				</h:selectOneMenu>

				<h:outputLabel rendered="true" value="Termín dodání"></h:outputLabel>
				<h:inputText value="#{objednavkaBean.objednavka.terminDodani}"
					required="true" id="calendar2"
					validatorMessage="Datum dodání musí být ve formátu dd-mm-yyyy"
					requiredMessage="Datum dodání je povinné">
					<f:validateLength minimum="10" />
					<f:convertDateTime pattern="dd-MM-yyyy" />
				</h:inputText>

				<h:outputLabel rendered="true" value="Adresa"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.adresaDodani}"
					converter="omnifaces.SelectItemsConverter" required="true"
					requiredMessage="Zákazník nemá žádné adresy.">
					<f:selectItems value="#{objednavkaBean.zakaznik.adresy}"
						var="adresa" itemValue="#{adresa}"
						itemLabel="#{adresa.obec}, #{adresa.ulice}, #{adresa.cislo}" />
				</h:selectOneMenu>

				<h:outputLabel rendered="true" value="Sestavující" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.sestavoval}"
					converter="omnifaces.SelectItemsConverter">
					<f:selectItems value="#{objednavkaBean.zamBean.prodavaci}"
						var="prodavac" itemValue="#{prodavac}"
						itemLabel="#{prodavac.login}" />
				</h:selectOneMenu>

				<h:outputLabel rendered="true" value="Doručující" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.dodal}"
					converter="omnifaces.SelectItemsConverter">
					<f:selectItems value="#{objednavkaBean.zamBean.ridici}" var="ridic"
						itemValue="#{ridic}" itemLabel="#{ridic.login}" />
				</h:selectOneMenu>
				<h:outputLabel rendered="true" value=""></h:outputLabel>
			</h:panelGrid>
			<div class="blok">
				<h:commandButton action="#{objednavkaBean.actionInsertNew}"
					value="Přidat produkty" styleClass="button">
				</h:commandButton>
				<h:commandButton action="cancel" value="Zrušit" styleClass="button" immediate="true">
				</h:commandButton>
			</div>
		</h:form>
	</ui:define>
</ui:composition>
</html>